Page MenuHomePhabricator

[Dashboards] Migrate from Vagrant to Puppet config
Closed, ResolvedPublic

Description

Right now Discovery's dashboards (source) and Discovery's experimental dashboards (source) live as apps served by Shiny Server running inside a MediaWiki Vagrant container running inside a Labs instance. This was necessary when the dashboards were originally prototyped, but as they've grown (new features, computationally expensive procedures, more datasets) they've also become rather sluggish. Which makes sense because they're running underneath like 2-3 different layers of virtual abstraction.

A side effect of this is that the OS & the libraries running in instance and the OS & libraries running in the container are not automatically updated. The goal of this task is to finally start managing the dashboards via Ops' Puppet configs.

Event Timeline

mpopov created this task.Mar 24 2017, 10:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2017, 10:49 PM

I'll need to work with Mr. G on this one :)

debt triaged this task as Normal priority.Mar 28 2017, 8:18 PM
debt added a project: Discovery.

Working on this will make our servers more secure and the dashboard should become a lot faster and smoother to use/display for the end user. We'll need to find a good time to have @Gehel help us out, hopefully in April 2017.

debt moved this task from Needs triage to Up Next on the Discovery-Analysis board.Mar 28 2017, 8:19 PM

@mpopov and @chelsyx will start working on getting a good outline completed of the work expected to be done.

mpopov claimed this task.Apr 25 2017, 6:45 PM
mpopov moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.

Change 346794 had a related patch set uploaded (by Bearloga; owner: Gehel):
[wikimedia/discovery/dashboard@master] [WIP] moving dashboards to puppet

https://gerrit.wikimedia.org/r/346794

Change 346794 abandoned by Bearloga:
[WIP] moving dashboards to puppet

Reason:
Switching to a patch for the real ops puppet repo

https://gerrit.wikimedia.org/r/346794

mpopov added a comment.May 5 2017, 7:52 PM

I have a ops-puppet repo patch ready to submit once T164603 is done and/or if there's a change-id that I can specify for Depends-On

Change 353571 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[operations/puppet@production] Add Shiny Server module and Discovery Dashboards role

https://gerrit.wikimedia.org/r/353571

Change 353571 merged by Gehel:
[operations/puppet@production] Add Shiny Server module and Discovery Dashboards role/profile

https://gerrit.wikimedia.org/r/353571

mpopov moved this task from Needs review to Done on the Discovery-Analysis (Current work) board.EditedJun 15 2017, 5:06 PM

Test instance up and running at https://discovery-dev.wmflabs.org/

Production coming soon after a certain issue (T167985) with web proxy management via Horizon is fixed.

debt closed this task as Resolved.Jun 16 2017, 5:39 PM

nice nice nice!

debt awarded a token.Jun 20 2017, 10:52 PM